Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Interface Application

All Known Implementing Classes:
  Main

    public interface Application

This interface represents a SVG viewer application.

Method Summary
`void` | `addVisitedURI(String uri)` Notifies Application of recently visited URI
`boolean` | `canLoadScriptType(String scriptType)` Returns true if the input scriptType can be loaded in this application.
`void` | `closeJSVGViewerFrame(JSVGViewerFrame f)` Closes the given viewer frame.
`JSVGViewerFrame` | `createAndShowJSVGViewerFrame()` Creates and shows a new viewer frame.
`Action` | `createExitAction(JSVGViewerFrame vf)` Creates an action to exit the application.
`int` | `getAllowedExternalResourceOrigin()` Returns the allowed origins for external resources.
`int` | `getAllowedScriptOrigin()` Returns the allowed origins for scripts.
`String` | `getDefaultFontFamily()` Returns the default value for the CSS "font-family" property
`String` | `getLanguages()` Returns the user languages.
`String` | `getMedia()` Returns the CSS media to use.
`String` | `getUISpecialization()` Returns the UI resource specialization to use.
`String` | `getUserStyleSheetURI()` Returns the user stylesheet uri.
`String[]` | `getVisitedURIs()` Asks Application for a list of recently visited URI
`String` | `getXMLParserClassName()` Returns the XML parser class name.
`boolean` | `isSelectionOverlayXORMode()` Returns true if the selection overlay is painted in XOR mode, false otherwise.
`boolean` | `isXMLParserValidating()` Returns true if the XML parser must be in validation mode, false otherwise.
`void` | `openLink(String url)` Opens the given link in a new window.
`void` | `showPreferenceDialog(JSVGViewerFrame f)` Shows the preference dialog.

Method Detail

### createAndShowJSVGViewerFrame

    JSVGViewerFrame createAndShowJSVGViewerFrame()

  Creates and shows a new viewer frame.

### closeJSVGViewerFrame

    void closeJSVGViewerFrame(JSVGViewerFrame f)

  Closes the given viewer frame.

### createExitAction

    Action createExitAction(JSVGViewerFrame vf)

  Creates an action to exit the application.

### openLink

    void openLink(String url)

  Opens the given link in a new window.

### getXMLParserClassName

    String getXMLParserClassName()

  Returns the XML parser class name.

### isXMLParserValidating

    boolean isXMLParserValidating()

  Returns true if the XML parser must be in validation mode, false otherwise.

### showPreferenceDialog

    void showPreferenceDialog(JSVGViewerFrame f)

  Shows the preference dialog.

### getLanguages

    String getLanguages()

  Returns the user languages.

### getUserStyleSheetURI

    String getUserStyleSheetURI()

  Returns the user stylesheet uri.

  Returns:
    null if no user style sheet was specified.

### getDefaultFontFamily

    String getDefaultFontFamily()

  Returns the default value for the CSS "font-family" property

### getMedia

    String getMedia()

  Returns the CSS media to use.

  Returns:
    empty string if no CSS media was specified.

### isSelectionOverlayXORMode

    boolean isSelectionOverlayXORMode()

  Returns true if the selection overlay is painted in XOR mode, false otherwise.

### canLoadScriptType

    boolean canLoadScriptType(String scriptType)

  Returns true if the input scriptType can be loaded in this application.

### getAllowedScriptOrigin

    int getAllowedScriptOrigin()

  Returns the allowed origins for scripts.

  See Also:
    `ResourceOrigin`

### getAllowedExternalResourceOrigin

    int getAllowedExternalResourceOrigin()

  Returns the allowed origins for external resources.

  See Also:
    `ResourceOrigin`

### addVisitedURI

    void addVisitedURI(String uri)

  Notifies Application of recently visited URI

### getVisitedURIs

    String[] getVisitedURIs()

  Asks Application for a list of recently visited URI

### getUISpecialization

    String getUISpecialization()

  Returns the UI resource specialization to use.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.